Loading...
Searching...
No Matches
ARC_State Struct Reference

`#include <state.h>`

## Data Fields

ARC_State_UpdateFn | updateFn
ARC_State_RenderFn | renderFn
void * | data

## Detailed Description

Definition at line 10 of file state.h.

## Field Documentation

## data

void* ARC_State::data

Definition at line 13 of file state.h.

## renderFn

ARC_State_RenderFn ARC_State::renderFn

Definition at line 12 of file state.h.

## updateFn

ARC_State_UpdateFn ARC_State::updateFn

Definition at line 11 of file state.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/engine/state.h